Last Comment Bug 213186 - Please remove 'Cookies are delicious delicacies' from Options->Privacy->Cookies
: Please remove 'Cookies are delicious delicacies' from Options->Privacy->Cookies
Status: VERIFIED FIXED
[have patch]
: fixed-aviary1.0
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: unspecified
: All All
: P2 trivial with 10 votes (vote)
: Firefox1.0beta
Assigned To: Mike Connor [:mconnor]
:
Mentors:
: 258295 (view as bug list)
Depends on:
Blocks: 214267
  Show dependency treegraph
 
Reported: 2003-07-19 14:17 PDT by Thomas Covello
Modified: 2006-08-27 06:54 PDT (History)
15 users (show)
bugs: blocking0.9-
bugs: blocking‑aviary1.0PR+
bugs: blocking‑aviary1.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to use a slightly modified version of Jesse Barros description (2.74 KB, patch)
2003-11-30 05:45 PST, Ben M.
no flags Details | Diff | Splinter Review
Replace delicious delicacies description with something better (2.23 KB, patch)
2004-05-28 21:16 PDT, Ali Ebrahim
no flags Details | Diff | Splinter Review
Better replacement description (2.25 KB, patch)
2004-05-28 22:33 PDT, Ali Ebrahim
no flags Details | Diff | Splinter Review
Update for bitrot (2.28 KB, patch)
2004-07-05 17:29 PDT, Ali Ebrahim
mconnor: review-
Details | Diff | Splinter Review
better patch, based on wording/layout from options dialog UI redesign (7.36 KB, patch)
2004-07-23 12:13 PDT, Mike Connor [:mconnor]
bugs: review+
Details | Diff | Splinter Review
diff -w version of this patch (6.62 KB, patch)
2004-07-23 12:15 PDT, Mike Connor [:mconnor]
no flags Details | Diff | Splinter Review
screenshot of this (Fedora) (48.22 KB, image/png)
2004-07-23 16:46 PDT, Mike Connor [:mconnor]
no flags Details
patch checked in (7.38 KB, patch)
2004-07-23 18:53 PDT, Mike Connor [:mconnor]
no flags Details | Diff | Splinter Review
diff -u against AVIARY_1_0_20040515_BRANCH (1.61 KB, patch)
2004-07-26 21:19 PDT, Brian 'netdragon' Bober
mconnor: review-
Details | Diff | Splinter Review

Description Thomas Covello 2003-07-19 14:17:53 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.5a) Gecko/20030714 Mozilla Firebird/0.6
Build Identifier: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.5a) Gecko/20030714 Mozilla Firebird/0.6

The inaccurate description 'Cookies are delicious delicacies' appears under
Tools-Options-Privacy-Cookies.

Reproducible: Always

Steps to Reproduce:
1. Tools->Options
2. Click Privacy. Expand 'Cookies'.

Actual Results:  
'Cookies are delicious delicacies'

Expected Results:  
'Cookies are files that some websites use to keep track of their users. They can
only be accessed by the originating server, and are usually not harmless. If you
so choose, you can delete them in this section.'
Comment 1 Greg Campbell 2003-07-27 17:07:15 PDT
I don't know if "...are usually *not* harmless..." [emphasis mine] is really
accurate or necessary in a new description.
Comment 2 Mike Connor [:mconnor] 2003-07-28 11:20:53 PDT
taking QA contact, sorry about the bugspam
Comment 3 steven 2003-08-03 20:52:36 PDT
Some additional thoughts... with all the scare on cookies going on in the media,
some people believe cookies are complete privacy-destroying tools that store
everything from your credit-card number to your pet's names.

Rather than the paragraph below, I'd put an even shorter line (though it should
still be more informative than the 'delicacies' thing) along with a clickable
hyperlink or thingymabob to a longer explanation). This can be an excellent
opportunity to set the record straight about what cookies are and aren't...

E.g.
- Subtly emphasise the fact that a cookie stores information on your computer
and cannot access your private life unless you type it in
- Suggest blocking 3rd party cookies ('for the originating website only')
- Use a softer wording instead of 'keep track of users'
- Discuss uses of cookies rather than technicalities: instead of 'a cookie can
keep data for your next visit' say 'a cookie can remember your password so you
don't have to enter it again'.

I also believe the "usually not harmless" wording in the previous comment was a
tautology and should've been "usually harmless" or "usually not harmful" ;).
Comment 4 Jesse Barros 2003-08-04 23:59:10 PDT
"Web pages can store bits of text called cookies on your computer so they can
recognize you during future visits."

----
Other privacy options are only one sentence long, and they don't attempt to
explain the implications of the options; I think it makes sense to try to hold
to that standard.  It simplifies the interface for newbies.

As for steven's comments, I think this addresses them as best as possible:

1. It puts greater emphasis on the fact that web pages provide data rather than
retrieve it.
2. I don't believe it's possible to suggest blocking 3rd party cookies given the
writing style of the dialog.
3. The wording matches the other options in the dialog.  It's easy to understand
(at least conceptually) for newbies.
4. It provides the most fundamental use of cookies, while de-emphasizing the
technical details of how they work.

It's also objective as to whether cookies are "good" or not.  The whole point of
a preference is letting the user decide :)
Comment 5 Thomas Covello 2003-08-06 16:46:06 PDT
Sorry folks, 'usually not harmless' was a typo. I wanted to convey 'usually
harmless', but anyway I agree with Steven and jbarros that opinions are not of
the sort to put in the options dialog. I've been away for the last week, so I
couldn't get back to you all. As for jbarros's description, I think that 'bits
of text' sounds a bit unprofessional, but otherwise I'd say it's pretty good.

PS - I've found a good resource for the hyperlink: http://www.cookiecentral.com/faq/
Comment 6 Ben M. 2003-11-30 05:45:45 PST
Created attachment 136539 [details] [diff] [review]
Patch to use a slightly modified version of Jesse Barros description

This is my first time dealing with diff files and such, so I hope I did
everythign correctly.
Comment 7 Brian 'netdragon' Bober 2004-01-25 08:40:10 PST
Ben M.:

+<!ENTITY cookieExplanation.label           "Web pages sometimes store bits of
text called cookies on your computer so they can
+recognize you during future visits.">

I don't really like that description. It doesn't even mention that it can also
store information, just says it can recognize you. Why don't we use an abridged
version of what's on the Cookies FAQ?

"A cookie is a text-only string that gets entered into the memory of your
browser. It can be used to identify you or store information useful for future
visits."


P.S. I thought that description of cookies being delicious was, but when I saw
it I agreed it was inappropriate and that's why I searched for this bug.
Comment 8 Brian 'netdragon' Bober 2004-01-25 08:41:42 PST
Oh, and btw, please provide a link to some webpage that talks about cookies
within the description.
Comment 9 Brian 'netdragon' Bober 2004-01-25 08:43:32 PST
Comment on attachment 136539 [details] [diff] [review]
Patch to use a slightly modified version of Jesse Barros description

Sorry, I overwrote your changes accidentally with the collision (I didn't think
that it would because I hadn't altered them). I'll apply them for you.
Comment 10 Mike Connor [:mconnor] 2004-01-25 08:54:09 PST
if we're going to link somewhere from a description, it should be Help
Comment 11 Patrick 2004-01-25 09:00:10 PST
per comment 7:

I think "text-only string" is way too technical a language to use here
[especially for novices and international users that use the English version]

Idem for "memory of your browser". Plus, is that statement factually correct in
the first place? Can't cookies be stored on the computer's hard drive as well?
Comment 12 Mike Connor [:mconnor] 2004-03-14 10:52:42 PST
Do we really need to assume that people don't know what cookies are anymore? 
Seamonkey's blurb is gone now...
Comment 13 Brennan Leathers 2004-04-29 19:42:59 PDT
How about something using the phrase "session-tracking information" or something
like that. still a bit technical, but if they are changing the cookie prefs
anyway they should (probably, hopefully) have some clue about what that means.
in any event, I agree the current "delicacies" phrase is not only inaccurate, it
looks unprofessional. even if a new phrase isn't decided on it should be removed
ASAP.
Comment 14 Ali Ebrahim 2004-05-28 21:13:06 PDT
Taking bug.
Comment 15 Ali Ebrahim 2004-05-28 21:16:20 PDT
Created attachment 149557 [details] [diff] [review]
Replace delicious delicacies description with something better

Replace old description with:

"Cookies are stored on your computer by websites in order to personalize your
browsing experience."

I wrote this description with the intent of being descriptive, while not
implying that cookies are either good or bad.
Comment 16 Ali Ebrahim 2004-05-28 22:33:35 PDT
Created attachment 149559 [details] [diff] [review]
Better replacement description

"Cookies are pieces of information stored on your computer by web sites in
order to personalize your browsing experience."
Comment 17 Noam Avnery 2004-06-01 11:47:31 PDT
I like the Yahoo! explanation on
http://privacy.yahoo.com/privacy/us/cookies/details.html
"A cookie is a small amount of data, which often includes an anonymous unique
identifier, that is sent to your browser from a web site's computers and stored
on your computer's hard drive."
Comment 18 Ali Ebrahim 2004-06-07 11:31:47 PDT
Requesting blocking0.9 since there is a patch ready for this and this is
somewhat high visibility.
Comment 19 Worcester12345 2004-06-10 11:35:17 PDT
I just saw this one and am voting since it is very unprofessional looking.
Comment 20 Ali Ebrahim 2004-07-05 17:29:02 PDT
Created attachment 152371 [details] [diff] [review]
Update for bitrot
Comment 21 Worcester12345 2004-07-13 06:51:59 PDT
This thing is a year old. Can't somebody just fix it for Pete's sake? I don't
see the huge challenge in this one.
Comment 22 Brennan Leathers 2004-07-13 20:20:52 PDT
(In reply to comment #21)
> This thing is a year old. Can't somebody just fix it for Pete's sake? I don't
> see the huge challenge in this one.

maybe if we suggested it would make the new theme look better it would get fixed
right away. I have talked to at least one person I have installed firefox who
asked if the "delicacies" phrase was the result of a virus attacking their
browser :0
this *must* go in 1.0 final IMHO. it is not a feature, it is a bug.
Comment 23 Ali Ebrahim 2004-07-13 20:42:18 PDT
(In reply to comment #22)
> this *must* go in 1.0 final IMHO. it is not a feature, it is a bug.

And it will. You can see the blocking flags are plussed. Please refrain from
saying "get this in faster, it sucks". We know it sucks. It will get fixed. You
can see there is already a patch. Once it gets reviewed, it can get checked in.
Comment 24 Mike Connor [:mconnor] 2004-07-14 19:36:31 PDT
Comment on attachment 152371 [details] [diff] [review]
Update for bitrot

I really don't like the look of this.  It looks really unpolished with this. 
Really, I should just fix this section to not suck, period.  Hmm, that's an
idea!
Comment 25 Ali Ebrahim 2004-07-14 19:42:37 PDT
(In reply to comment #24)
> (From update of attachment 152371 [details] [diff] [review])
> I really don't like the look of this.  It looks really unpolished with this. 
> Really, I should just fix this section to not suck, period.  Hmm, that's an
> idea!
> 

I'm taking this to mean that you're going to fix it? I've un-assigned myself
from the bug.
Comment 26 Mike Connor [:mconnor] 2004-07-14 19:46:39 PDT
yeah, there's a bunch of other bugs in here to smack.

I like the wording, inasmuch as I like any wording ;)
Comment 27 chris hofmann 2004-07-23 08:59:56 PDT
should the patch get landed and then improved more as time permits?

need to move quickly on this for the upcoming firefox 1.0 UI freeze. we need to
start locking down to critical fixes in the next week or so.
Comment 28 Mike Connor [:mconnor] 2004-07-23 12:13:59 PDT
Created attachment 154131 [details] [diff] [review]
better patch, based on wording/layout from options dialog UI redesign
Comment 29 Mike Connor [:mconnor] 2004-07-23 12:15:28 PDT
Created attachment 154132 [details] [diff] [review]
diff -w version of this patch
Comment 30 Mike Connor [:mconnor] 2004-07-23 16:46:45 PDT
Created attachment 154159 [details]
screenshot of this (Fedora)
Comment 31 Ben Goodger (use ben at mozilla dot org for email) 2004-07-23 18:08:59 PDT
Comment on attachment 154131 [details] [diff] [review]
better patch, based on wording/layout from options dialog UI redesign

>+            <hbox>
>+              <description>&cookieRetention.label;</description>
>+              <menulist id="networkCookieLifetime" 
>+                        prefstring="network.cookie.lifetimePolicy">
>+                <menupopup>
>+                  <menuitem value="0" label="&acceptNormally.label;"/>
>+                  <menuitem value="2" label="&acceptForSession.label;"/>
>+                  <menuitem value="1" label="&askAboutCookies.label;"/>
>+                </menupopup>
>+              </menulist>
>+            </hbox>

use align="center" on this box to make the label line up nicely with the
menulist. Your screenshot shows the alignment as being off. 

OK. r=ben@mozilla.org
Comment 32 Mike Connor [:mconnor] 2004-07-23 18:53:41 PDT
Created attachment 154168 [details] [diff] [review]
patch checked in
Comment 33 Ran 2004-07-24 13:06:36 PDT
"Cookies are pieces of information stored by web pages on your computer."
I don't have any 'web pages on [my] computer.'

"They are used to remember login information and other data."
The "Stored Passwords" section specifically states its purpose as recording
login information, so there is potential confusion in this wording.

A suggested rewording:
Cookies are pieces of information stored on your computer by Web pages you
visit. They are generally used to offer you a more personalized experience.

And since you used "stored" in the definition, you might consider using that
word instead of "set" for the first checkbox label.
Comment 34 Brian 'netdragon' Bober 2004-07-24 16:25:03 PDT
Ok, I'm glad we got something in for now.

Randall: I like your version but and the W in Web doesn't need to be
capitalized, and "personalized experience" might mean nothing to a novice user

How about this:
"Cookies are information stored on your computer by web sites you
visit. They generally keep track of how you want a site to look and who you are
when logged in."

I think someone should write up a help document on possible privacy/security
issues with cookies, and provide links from this page of the preferences to the
respective sections in that document.
Comment 35 Worcester12345 2004-07-26 06:53:03 PDT
(In reply to comment #34)
> Ok, I'm glad we got something in for now.
> 
> Randall: I like your version but and the W in Web doesn't need to be
> capitalized, and "personalized experience" might mean nothing to a novice user
> 
> How about this:
> "Cookies are information stored on your computer by web sites you
> visit. They generally keep track of how you want a site to look and who you are
> when logged in."
> 
> I think someone should write up a help document on possible privacy/security
> issues with cookies, and provide links from this page of the preferences to the
> respective sections in that document.



My version: 

How about this:
"Cookies are information stored on your computer by web sites you
visit. They generally keep track of how you want a site to look and your
identity when logged in."
Comment 36 Brian 'netdragon' Bober 2004-07-26 21:19:54 PDT
Created attachment 154431 [details] [diff] [review]
diff -u against AVIARY_1_0_20040515_BRANCH

diff -u against AVIARY_1_0_20040515_BRANCH of Sasquatch's version with
Randall's set -> store change
Comment 37 Ali Ebrahim 2004-07-26 21:48:16 PDT
Comment on attachment 154431 [details] [diff] [review]
diff -u against AVIARY_1_0_20040515_BRANCH

Changing review? to the right person. But personally, I like the current
description that's been checked into CVS. It's more concise.
Comment 38 Mike Connor [:mconnor] 2004-07-27 02:20:07 PDT
Comment on attachment 154431 [details] [diff] [review]
diff -u against AVIARY_1_0_20040515_BRANCH

store isn't more accurate, and that description is wrong on a few different
levels, but I don't feel like going into details right now.  The description we
have is pretty good, and I don't think we should be focusing on stuff that's
fixed already.	There's a lot more fish to fry before PR1.
Comment 39 Worcester12345 2004-07-28 12:50:58 PDT
I think "identity" sounds more professional than "who you are".

For the 50 seconds it would take to change, I think it would be worth it to put
in and put this one to bed.
Comment 40 Brian 'netdragon' Bober 2004-07-28 13:02:57 PDT
My patch says "identity".

From my patch:

-<!ENTITY cookieExplanation.label           "Cookies are pieces of information
stored by web pages on your computer.  They are used to remember login
information and other data.">
+<!ENTITY cookieExplanation.label           "Cookies are information stored on
your computer by web sites you visit. They generally keep track of how you want
a site to look and your identity when logged in.">



I agree. It'll take a few seconds to check in the new patch, and this bug will
be done.
Comment 41 Mike Connor [:mconnor] 2004-07-28 14:47:42 PDT
Brian, what part of "no" do you consistently fail to understand?  Its a wordy
and imprecise description that I'm not in favour of, so I'm not going to check
it in so you leave it alone.

All I need to do is land on trunk and it'll be just as done, whether you agree
or not.
Comment 42 Worcester12345 2004-07-29 08:40:12 PDT
(In reply to comment #40)

-<!ENTITY cookieExplanation.label           "Cookies are information stored on
your computer by web sites you visit. They generally keep track of how you want
a site to look and your identity when logged in.">

+<!ENTITY cookieExplanation.label           "Cookies are files stored on
your computer by web sites. They keep track of how you want
a site to look and your identity when logged in to those sites.">
Comment 43 Brian 'netdragon' Bober 2004-07-29 09:28:25 PDT
I thought about using the word "files" but I thought that might scare people by
making them think that sites are gaining direct access to their hard drive. Its
concievable that cookies could be stored in other things besides files, such as
entries in a .db file or something, right?
Comment 44 Mike Connor [:mconnor] 2004-07-29 09:40:40 PDT
Please stop spamming the bug by discussing something that's already been
rejected.  If you want to debate the merits of the alternate wording please take
it to private email.

And just as a note to the logically impaired, a .db file is still a file, last I
checked.
Comment 45 Brian 'netdragon' Bober 2004-07-29 10:05:55 PDT
As far as I know, decisions are generally something agreed upon at least by a
small group, historically, as opposed to decisions made by one person. Especally
when discussing UI, which is often a source of great turmoil when one person
hap-hazardly starts changing the UI on his or her own.

May I remind you that you said:

> Really, I should just fix this section to not suck, period.  Hmm, that's an
> idea!

We are not spamming this bug trying to come up with a wording to replace what
you said was a temporary wording. Remember that this fix has not been put on the
trunk yet. You are dealing with short-term, while we are dealing with long-term.
Would you like us to take this discussion to the message boards? If it were
taken to email, it would not include people who might be interested in having
some input on the new wording.

Aside: My logic was quite accurate. A .db file is not "files", therefore the
wording is inaccurate if you say files. 
Comment 46 Brian 'netdragon' Bober 2004-07-29 10:34:28 PDT
That being said, I doubt people would agree on a wording anyway, so I'm
satisfied that the "delicious delicacies" was removed.
Comment 47 Mike Connor [:mconnor] 2004-07-29 10:43:34 PDT
(In reply to comment #45)
> As far as I know, decisions are generally something agreed upon at least by a
> small group, historically, as opposed to decisions made by one person. Especally
> when discussing UI, which is often a source of great turmoil when one person
> hap-hazardly starts changing the UI on his or her own.

First off, decisions on Firefox ARE generally made by a single person, in this
case Ben was the reviewer.  Considering that he is the single person leading the
project, and I used his UI spec as my blueprint, I think you're pretty much dead
wrong and out of touch with regard to how we work on this project.  You're also
not even keeping in mind the Firefox Development Charter (or even the original
version from the Phoenix days).  I also find it alternately amusing/insulting
that you are implying I'm making changes haphazardly.
 
> May I remind you that you said:
> 
> > Really, I should just fix this section to not suck, period.  Hmm, that's an
> > idea!
> 
> We are not spamming this bug trying to come up with a wording to replace what
> you said was a temporary wording. 

The quote was about fixing a number of outstanding issues with the prefpanel,
since the existing UI was a stopgap that had existed for a few months due to
backend changes in cookies.

Please to be showing me where I said this was a temporary wording.  I didn't
even imply it.  I did say there was bigger fish to fry, which meant that trying
to "tweak" it was a fool's errand.  Which isn't to say that I r-'ed the patch
out of a priority-based motive.  Really, the wording is bad, IMO, and that's
where it should end, instead of talking about "just check in my patch and put
this to bed" which completely ignores the previous decision on the patch.

Remember that this fix has not been put on the
> trunk yet. You are dealing with short-term, while we are dealing with long-term.

The reason it hasn't landed on trunk yet is twofold: 1) I had to work on other
fixes instead of dealing with a closed tree at that time, and 2) the locale info
is in a completely different location and I'd need to modify the patch
accordingly, which wasn't a priority.  It has nothing to do with the short or
long term usage of the wording.  Again, a baseless assumption.

> Would you like us to take this discussion to the message boards? If it were
> taken to email, it would not include people who might be interested in having
> some input on the new wording.

The wording as it stands is final, unless you can convince myself or Ben of the
reason it needs to change.  I doubt that's going to happen, considering its
Ben's wording, and you've failed utterly to convince me.

> Aside: My logic was quite accurate. A .db file is not "files", therefore the
> wording is inaccurate if you say files. 

Sorry, I thought you were aware that we store cookies in a single file, I guess
I shouldn't assume you know that much.
Comment 48 Worcester12345 2004-07-29 16:14:02 PDT
(In reply to comment #47)
> (In reply to comment #45)
> > As far as I know, decisions are generally something agreed upon at least by a
> > small group, historically, as opposed to decisions made by one person. Especally
> > when discussing UI, which is often a source of great turmoil when one person
> > hap-hazardly starts changing the UI on his or her own.
> 
> First off, decisions on Firefox ARE generally made by a single person, 


That is too sad. Whatever happened to "teamwork", and "building consensus"?




> > > Really, I should just fix this section to not suck, period.  Hmm, that's 
> > We are not spamming this bug trying to come up with a wording to replace 

> Please to be showing me where I said this was a temporary wording. 


I was also under the impression that it was a work in progress and open to
suggestions. 




> Sorry, I thought you were aware that we store cookies in a single file, I guess
> I shouldn't assume you know that much.

That was a pretty low blow, let it go, Joe. :-)
Comment 49 Blake Ross 2004-08-03 01:06:42 PDT
Mike, can you go ahead and fix this on the trunk, too? It's showing up on my
dependency list in bug 214267.
Comment 50 José Jeria 2004-09-07 10:36:08 PDT
*** Bug 258295 has been marked as a duplicate of this bug. ***
Comment 51 Mike Connor [:mconnor] 2004-12-03 15:53:25 PST
Yes, people will hate me for a long time for this, and I'm even blamed by name
in Wikipedia's article.  Bah.
Comment 52 Marek Stępień [:marcoos, inactive] 2004-12-03 22:15:56 PST
Verified.
Comment 53 Brian 'netdragon' Bober 2004-12-03 22:27:06 PST
http://en.wikipedia.org/wiki/Mozilla_Firefox#Delicious_delicacies

The original text was inserted by Blake Ross, one of the lead developers of
Firefox. It was replaced by Mike Connor.

After this happened, the following remarks were made by Blake Ross over IRC:

    <blake2> congratulations mconnor
    <blake2> you just destroyed a legend!

On August 22, 2004, version 0.1 of the Delicious Delicacies extension
(http://www.squarefree.com/extensions/delicious-delicacies/) was released by
Jesse Ruderman. This extension restores the old description of cookies. As of
November 22, 2004, this extension is in version 0.4.1.
Comment 54 Mike Connor [:mconnor] 2006-08-27 06:54:39 PDT
sorry for bugspam, long-overdue mass reassign of ancient QA contact bugs,
filter on "beltznerLovesGoats" to get rid of this mass change

Note You need to log in before you can comment on or make changes to this bug.